%define	module	grequests
Name:           python-%{module}
Version:        0.2.0
Release:        %mkrel 4
Summary:        Requests + Gevent
License:        BSD
Group:          Development/Python
Url:            https://github.com/kennethreitz/grequests
Source:         http://pypi.python.org/packages/source/g/grequests/grequests-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
Requires:       pythonegg(2)(gevent)
Requires:       pythonegg(2)(requests)
BuildArch:      noarch

%description
GRequests allows you to use Requests with Gevent to make asyncronous HTTP
Requests easily.

Usage
-----

Usage is simple::

    import grequests

    urls = [
        'http://www.heroku.com',
        'http://tablib.org',
        'http://httpbin.org',
        'http://python-requests.org',
        'http://kennethreitz.com'
    ]

Create a set of unsent Requests::

    >>> rs = (grequests.get(u) for u in urls)

Send them all at the same time::

    >>> grequests.map(rs)
    [<Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>]

%package -n python3-%{module}
Summary:        Requests + Gevent
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       pythonegg(3)(gevent)
Requires:       pythonegg(3)(requests)

%description -n python3-%{module}
GRequests allows you to use Requests with Gevent to make asyncronous HTTP
Requests easily.

Usage
-----

Usage is simple::

    import grequests

    urls = [
        'http://www.heroku.com',
        'http://tablib.org',
        'http://httpbin.org',
        'http://python-requests.org',
        'http://kennethreitz.com'
    ]

Create a set of unsent Requests::

    >>> rs = (grequests.get(u) for u in urls)

Send them all at the same time::

    >>> grequests.map(rs)
    [<Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>]

%prep
%setup -q -n %{module}-%{version}
cp %{SOURCE1} .

%build
%py3_build
%py2_build

%install
%py3_install
%py2_install

%files
%doc LICENSE
%{python2_sitelib}/*

%files -n python3-%{module}
%{python3_sitelib}/*


%changelog
* Sat May 27 2017 joequant <joequant> 0.2.0-4.mga6
+ Revision: 1105112
- add python3

* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-3.mga6
+ Revision: 941945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 742528
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 juancho <juancho> 0.2.0-1.mga5
+ Revision: 737253
- Added missing Requires on python-requests
- Updated to 0.2.0

* Tue Oct 07 2014 juancho <juancho> 0.1.0-1.mga5
+ Revision: 737246
- imported package python-grequests

